/***************************************************************************
                               awaymessage.cpp
                             -------------------
    begin                : Sun Feb 20 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 * A simple Dialog box that tells the user that there they are currently set
 * to away and to click on the back button to be back.  While this window is
 * open auto response messages are sent.
 ***************************************************************************/

#include "awaymessage.h"
#include "application.h"

/***************************************************************************
 * Constructor
 ***************************************************************************/
AwayMessage::AwayMessage(QWidget *parent, const char *name) : QWidget(parent,name){
  initDialog();
  i_aimSettings = setup::settings();
  // Initialize variables and GUI settings
  // Connect button
  connect(message, SIGNAL(textChanged()), this, SLOT(textChanged())); 
  connect(Back, SIGNAL(clicked()), this, SLOT(back()));
  connect(Update, SIGNAL(clicked()), this, SLOT(updateClicked()));
  Update->setEnabled(false);
}


void AwayMessage::textChanged(){
  Update->setEnabled(true);
}

/***************************************************************************
 * Create GUi 
 ***************************************************************************/
void  AwayMessage::initDialog(){
  this->resize(280,215);
  message= new QMultiLineEdit(this,"NoName");
  message->setWordWrap (QMultiLineEdit::WidgetWidth );
  message->setGeometry(10,60,260,110);
  message->setMinimumSize(0,0);

  Back= new QPushButton(this,"NoName");
  Back->setGeometry(170,180,100,25);
  Back->setMinimumSize(0,0);
  Back->setText(tr("Back"));

  Update= new QPushButton(this,"NoName");
  Update->setGeometry(110,180,60,25);
  Update->setMinimumSize(0,0);
  Update->setText(tr("Update"));
  Update->show();

}

void AwayMessage::resizeEvent(QResizeEvent *){
  message->setGeometry(5, 5, this->width()-10, this->height()-40);
  Update->setGeometry(5, this->height()-30, 55, 25);
  Back->setGeometry(this->width()-50-5, this->height()-30, 50, 25);
}

/***************************************************************************
 * Sets the away message equal to the QString
 ***************************************************************************/
void AwayMessage::setText(QString text){
  message->clear();
  message->setText(text);
  Update->setEnabled(false);
}

/***************************************************************************
 * Closes the window
 * Occurs when the Back Button is hit.
 ***************************************************************************/
void AwayMessage::back(){
  emit backClicked();
}

/***************************************************************************
 * Closes the window
 * Occurs when the Update Button is hit.
 ***************************************************************************/
void AwayMessage::updateClicked(){
  emit update(message->text());
  Update->setEnabled(false);
}


// awaymessage.cpp

