/***************************************************************************
                               ChatOptionsImp.cpp
                             -------------------
    begin                : Tuesday Nov 14 2000
    copyright            : (C) 2000 Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/


#include "chatoptionsimp.h"
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qpainter.h>
#include <qpixmap.h>
#include <qspinbox.h>

/******************************************************************************
 * Constructor
 ******************************************************************************/
ChatOptionsImp::ChatOptionsImp(QWidget *parent, const char *name) : ChatOptions ( parent,name,false ){
	i_aimSettings = setup::settings();
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void ChatOptionsImp::updateData(){
  i_aimSettings = setup::settings();
  chat_message_raise->setChecked(i_aimSettings->chatSettings->chat_raise_window);
  chat_show_time->setChecked(i_aimSettings->chatSettings->chat_show_time);
  chat_send_return->setChecked(i_aimSettings->chatSettings->chat_return_send);
  chat_remove_tages->setChecked(i_aimSettings->chatSettings->chat_ignore_buddyhtml);
  chat_show_smilies->setChecked(i_aimSettings->chatSettings->chat_show_smilies);
  chat_conversation_limit->setChecked(i_aimSettings->chatSettings->chat_line_limit);
  if (i_aimSettings->chatSettings->chat_line_limit == true)
    chat_conversation_limit_number->setEnabled(true);
  else
    chat_conversation_limit_number->setEnabled(false);

  chat_conversation_limit_number->setValue(i_aimSettings->chatSettings->chat_line_limit_number);
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void ChatOptionsImp::getData(){
  i_aimSettings->chatSettings->chat_raise_window = chat_message_raise->isChecked();
  i_aimSettings->chatSettings->chat_show_time = chat_show_time->isChecked();

  i_aimSettings->chatSettings->chat_return_send = chat_send_return->isChecked();
  i_aimSettings->chatSettings->chat_ignore_buddyhtml = chat_remove_tages->isChecked();
  i_aimSettings->chatSettings->chat_show_smilies = chat_show_smilies->isChecked();
  i_aimSettings->chatSettings->chat_line_limit = chat_conversation_limit->isChecked();
  i_aimSettings->chatSettings->chat_line_limit_number = chat_conversation_limit_number->value();
}

//ChatOptionsImp.cpp

