/***************************************************************************
                                info.cpp
			                    -------------------
    begin                : Mon Jul 31 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "info.h"
#include "application.h"
#include <qapplication.h>
#include "browser.h"
#include <qstring.h>
#include <qmessagebox.h>
#include <stdlib.h>
#include <qtextstream.h>
#include <qfile.h>
#include <chat.h>
#include <qpushbutton.h>
#include <qdatetime.h>

/***************************************************************************
 * Constructor
 ***************************************************************************/
Info::Info(QWidget *parent, const char *name) : QDialog(parent,name,false,WDestructiveClose){
  initDialog();
  connect(Close, SIGNAL(clicked()), this, SLOT(accept()));
  user = "";
}

/******************************************************************************
 * Close out the client.
 ******************************************************************************/
void Info::closeEvent(QCloseEvent *) {
  // Close window
  this->done(1);
}

/***************************************************************************
 * Create the GUI
 ***************************************************************************/
void  Info::initDialog(){
  this->setMaximumSize(236,320);
  Information= new KaimTextBrowser(this,"NoName");
  Information->setMinimumSize(0,0);
  Information->setText("Downloading...");
  connect(Information, SIGNAL(gotoURL(QString)), this, SLOT(urlClicked(QString)));

  Close= new QPushButton(this,"NoName");
  Close->setText("&Close");
  showMaximized();
}

/***************************************************************************
 * Get the page from the web using wget. 
 ***************************************************************************/
void Info::addToWindow(QString data){
  qApp->setOverrideCursor(Qt::waitCursor);
  system("wget -q -T 3 -O /tmp/kinkattainfo " + data);
  QString settingsFile = "/tmp/kinkattainfo";
  QFile file(settingsFile);
  QString info = "<qt>";
  if (file.open(IO_ReadOnly))
  {
    QTextStream stream(&file);
    while(!stream.eof()){
      info += stream.readLine();
      info += "\n";
    }
    file.close();
    file.remove();

    
    int titleEnd = info.find("</TITLE>");
    info = info.mid(titleEnd + 14, info.length() -14);
    info = QString("<html>") + info; 
    info.replace( QRegExp("free_icon.gif"), DATADIR "/pics/icon_aim.png" "\" width=\"16\" height=\"16" );
    info.replace( QRegExp("aol_icon.gif"), DATADIR "/pics/buddy_aol.png" "\" width=\"16\" height=\"16" );
    info.replace( QRegExp("admin_icon.gif"), DATADIR "/pics/buddy_aol.png" "\" width=\"16\" height=\"16" );
    // remove trial user info
    info.replace( QRegExp("<IMG SRC=\"dt_icon.gif\">"), " " );
    info.replace( QRegExp(": Trial AIM User <br>"), "");
    
		// Replace special options.
		QString currentDate = QDate::currentDate().toString();
		QString currentTime = QTime::currentTime().toString();
    info.replace( QRegExp("%d"), currentDate );
    info.replace( QRegExp("%t"), currentTime );
    info.replace( QRegExp("%n"), user );

		Information->setText(info);


    qApp->restoreOverrideCursor();
  }
  else{
    qApp->restoreOverrideCursor();
    QMessageBox::information(0, "Error",("Could not open info.\nMake sure wget is installed."), QMessageBox::Ok);
  }
}

/******************************************************************************
 * Open this url in a web browser.
 ******************************************************************************/
void Info::urlClicked(QString url){
  browser->openURL(url);
}

/***************************************************************************
 * Close the window once the close button is hit. 
 ***************************************************************************/
void Info::accept(){
  this->done(1);
}

/***************************************************************************
 * Resizes the object in the window, when the window is resized.
 ***************************************************************************/
void Info::resizeEvent( QResizeEvent * ){
  Information->setGeometry(5,5,this->width()-10,this->height()-40);
  Close->setGeometry(this->width()-90,this->height()-30,70,25);
}

// info.cpp

