/***************************************************************************
                         	kinkattaviewlist.h
                             -------------------
    begin                : Fri Feb 15 2001
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KINKATTAVIEWLIST_H
#define KINKATTAVIEWLIST_H

#include <qwidget.h>
#include <qlistview.h>
#include <qevent.h>
#include <qcursor.h>
#include <qtooltip.h>

#include "setup.h"
#include <qlineedit.h>

/**
  *@author Benjamin Meyer
  */

/**
  * When you edit a buddy this is what pops up.
  */
class EditBox : public QLineEdit {
  Q_OBJECT

  public:
    EditBox(QWidget *parent=0, const char *name=0);
    int focus;
    bool alias;
		
  protected:	
    void focusOutEvent ( QFocusEvent * );

};

class BuddyListWindowItem : public QListViewItem {
	public:
		BuddyListWindowItem(QListView *, QString);
		BuddyListWindowItem(QListViewItem *, QString);
		enum Decoration { Online, Offline, SignOn } ;
    QString name;
		
		int width( const QFontMetrics& , const QListView* , int ) const;
		void updateFontSettings();
		
		void setDecoration(int);
		int decoration();

		void paintCell(QPainter *, const QColorGroup &, int , int , int );
	protected:
		int mDecoration;
	QFont buddylist_OfflineFont;
	QFont buddylist_SignOnFont;
};

class KinkattaListView : public QListView {
  Q_OBJECT

  signals:
    void removeBuddy(QString);
    void removeFolder(QString);
    void moveItem(QListViewItem *item, QListViewItem *newFolder);
  
  public:
    KinkattaListView(QWidget *parent=0, const char *name=0);
    ~KinkattaListView();
		
    EditBox *buddyEdit;
    BuddyListWindowItem *currentItem();
    QString currentName();
    bool checkIfFolder(QListViewItem* selected);	

  private:
    QListViewItem *currentSelectedItem;
    QCursor internalCursor;	
	
  protected:	
    void keyPressEvent(QKeyEvent *event);
    void contentsMouseReleaseEvent(QMouseEvent* event);
    void focusOutEvent( QFocusEvent * );

  private slots:
    void itemPressed(QListViewItem *item);
};


#endif
// KinkattaListView.h

