/***************************************************************************
                          login.h  -  description
                             -------------------
    begin                : Sun Feb 13 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 * Login Box.  Ask for Name and Password.  Starts SignOn proccess.  Options
 * can also be brought up from here.
 ***************************************************************************/

#ifndef LOGIN_H
#define LOGIN_H

#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qtooltip.h>
#include <qmessagebox.h>
#include <qdir.h>
#include <qcombobox.h>
#include "setup.h"
#include "browser.h"
#include <qvariant.h>
#include <qlayout.h> 

/**
  *@author Benjamin Meyer
  */

class Login : public QWidget  {
  Q_OBJECT

  public:
    Login(QWidget *parent=0, const char *name=0);
		Browser *browser;

  private:
    settings_t *i_aimSettings;
    void savePassword(QString user);
    void readPassword(QString user);      	      
    void removePassword(QString user);

  signals:
    void setupClicked();
    void signOnClicked();

  private slots:
    void moveToPass(int);
    void newName(const QString &name );
	
		void enableDisableButton( const QString &);
	
    void SetupClicked();
    void toggleAuto(bool value);
    void toggleSave(bool value);
    void initDialog();
	
  public slots:
    void updateSettings();
    void SignOnClicked();
 
  private:
    QLabel *version;
    QLabel *logoImage;
    QLabel *aolnameL;
    QLabel *aolpassL;
    QComboBox *aolName;
    QLineEdit *aolPass;
    QCheckBox *save;
    QCheckBox *autoLogin;
    QPushButton *setupButton;
    QPushButton *signOn;

	protected:
		QHBoxLayout* Layout5;
    QHBoxLayout* Layout2;
    QHBoxLayout* Layout3;
    QHBoxLayout* Layout4;
		QVBoxLayout* Layout1;

};

#endif

// login.h

