/***************************************************************************
                           mainwindowoptionsimp.cpp
                             -------------------
    begin                : Tuesday Jan 10 2001
    copyright            : (C) 2001 Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/


#include "mainwindowoptionsimp.h"
#include <qlineedit.h>
#include <qradiobutton.h>
#include <qcheckbox.h>

/******************************************************************************
 * Constructor
 ******************************************************************************/
MainWindowOptionsImp::MainWindowOptionsImp(QWidget *parent, const char *name) : MainWindowOptions ( parent,name,false ){
	i_aimSettings = setup::settings();
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void MainWindowOptionsImp::updateData(){
  i_aimSettings = setup::settings();

  browser->setText(i_aimSettings->main_browser); 
  noButtons->setChecked(i_aimSettings->main_noIcons);

  if (i_aimSettings->main_idleLayout == 1)
    loginIdleLayout1->setChecked(true);
  else
    loginIdleLayout2->setChecked(true);

  noHeaders->setChecked(i_aimSettings->main_noHeader);
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void MainWindowOptionsImp::getData(){
  i_aimSettings->main_browser = browser->text();
  
  i_aimSettings->main_noIcons = noButtons->isChecked();
  
  if (loginIdleLayout1->isChecked() == true)
    i_aimSettings->main_idleLayout = 1;
  else
    i_aimSettings->main_idleLayout = 2;
  
  i_aimSettings->main_noHeader = noHeaders->isChecked();
}

// MainWindowOptionsImp.cpp

