/***************************************************************************
                           networkoptionsimp.cpp
                             -------------------
    begin                : Sunday Feb 11 2001
    copyright            : (C) 2001 Benjamin Meyer
    email                : ben@meyerhome.net
 ***************************************************************************/

#include <qlineedit.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qradiobutton.h>
#include <qcheckbox.h>

#include "networkoptionsimp.h"

/******************************************************************************
 * Constructor
 ******************************************************************************/
NetworkOptionsImp::NetworkOptionsImp(QWidget *parent, const char *name) : NetworkOptions( parent,name,false ){
  i_aimSettings = setup::settings();
  proxy_socks5->setChecked(true);
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void NetworkOptionsImp::updateData(){
  i_aimSettings = setup::settings();

  login_server_toc->setText(i_aimSettings->login_server_toc);
  login_server_login->setText(i_aimSettings->login_server_login);
  login_port_toc->setValue(i_aimSettings->login_port_toc.toInt());
  login_port_login->setValue(i_aimSettings->login_port_login.toInt());
  proxy_socks5->setChecked(i_aimSettings->proxy);
  proxy_server->setText(i_aimSettings->proxy_server);
  proxy_port->setValue(i_aimSettings->proxy_port.toInt());
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void NetworkOptionsImp::getData(){
  i_aimSettings->login_server_toc = login_server_toc->text();
  i_aimSettings->login_server_login = login_server_login->text();
  i_aimSettings->login_port_toc = login_port_toc->text();
  i_aimSettings->login_port_login = login_port_login->text();
  i_aimSettings->proxy = proxy_socks5->isChecked();
  i_aimSettings->proxy_server = proxy_server->text();
  i_aimSettings->proxy_port = proxy_port->text();
}

// NetworkOptionsImp.cpp
