/***************************************************************************
                               options.h
                             -------------------
    begin                : Tuesday Nov 14 2000
    copyright            : (C) 2000 Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

#ifndef OPTIONS_H
#define OPTIONS_H

#include <qdialog.h>
class QWidgetStack;

#include <qvariant.h>
class QVBoxLayout; 

class ChatOptionsImp;
class AwayWindowOptionsImp;
class MainWindowOptionsImp;
class ProfileOptions;
class SoundOptionsImp;
class NetworkOptionsImp;
class PermitDenyOptionsImp;

class QMenuBar;
class QPopupMenu;

#include "setup.h"
#include "taim.h"

class options : public QDialog{
  Q_OBJECT

signals:
  void dataUpdated();
  void exiting();
  void setDefault();

public:
  options( QWidget* parent = 0, const char* name = 0, TAim *i_connection=0, bool modal = FALSE, WFlags fl = 0 );

  QPushButton* buttonDefault;
  QPushButton* buttonApply;
  QPushButton* buttonOk;
  QPushButton* buttonCancel;
  QWidgetStack* configureWidget;
  QPopupMenu *windows;
  void addWindowMenu();
 
public slots:
  void updateData();
  void accept();
  void cancelClicked();
  void applyClicked();
  void slotShowNetwork();
  void slotShowChat();
  void slotShowMain();
  void slotShowSound();
  void slotShowDeny();
  void slotShowAway();
  void slotShowProfile();
  
private:
  settings_t *i_aimSettings;
  SoundOptionsImp *sound;
  NetworkOptionsImp *network;
  AwayWindowOptionsImp *away;
  PermitDenyOptionsImp *deny;
  ProfileOptions *profile;
  ChatOptionsImp *chat;
  MainWindowOptionsImp *main;
  QVBoxLayout* Form1Layout;
  QMenuBar *bar;	
  QPopupMenu *menu;

};

#endif // OPTIONS_H

