/***************************************************************************
                             soundoptionsimp.cpp
                             -------------------
    begin                : Tuesday Jan 31 2001
    copyright            : (C) 2001 Benjamin Meyer
    email                : ben@meyerhome.net
 ***************************************************************************/


#include "soundoptionsimp.h"
#include <qcheckbox.h>
#include <qradiobutton.h>

/******************************************************************************
 * Constructor
 ******************************************************************************/
SoundOptionsImp::SoundOptionsImp(QWidget *parent, const char *name) : SoundOptions( parent,name,false ){
	i_aimSettings = setup::settings();
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void SoundOptionsImp::updateData(){
  i_aimSettings = setup::settings();

  if ( i_aimSettings->SoundMode == 1)
    mode_beep->setChecked(true);
  if ( i_aimSettings->SoundMode == 2)
    mode_nosound->setChecked(true);
    
  sound_enable_login->setChecked(i_aimSettings->sound_enable_login);
  sound_enable_logout->setChecked(i_aimSettings->sound_enable_logout);
  sound_enable_initial->setChecked(i_aimSettings->chatSoundSettings->chat_sound_beepInitial);  
  sound_enable_receive->setChecked(i_aimSettings->chatSoundSettings->chat_sound_beepReceive);
  sound_enable_send->setChecked(i_aimSettings->chatSoundSettings->chat_sound_beepSend);

}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void SoundOptionsImp::getData(){
  if ( mode_beep->isChecked()){
    i_aimSettings->SoundMode = 1;
    i_aimSettings->chatSoundSettings->chat_sound = true;
  }  
  if ( mode_nosound->isChecked()){
    i_aimSettings->SoundMode = 2;
    i_aimSettings->chatSoundSettings->chat_sound = false;
  } 
  i_aimSettings->chatSoundSettings->chat_sound_beepInitial = sound_enable_initial->isChecked();
  i_aimSettings->chatSoundSettings->chat_sound_beepReceive = sound_enable_receive->isChecked();
  i_aimSettings->chatSoundSettings->chat_sound_beepSend = sound_enable_send->isChecked();
  i_aimSettings->sound_enable_login = sound_enable_login->isChecked();
  i_aimSettings->sound_enable_logout = sound_enable_logout->isChecked();

  if ((sound_enable_receive->isChecked() == false) && (sound_enable_send->isChecked() == false) && (sound_enable_initial->isChecked() == false))
    i_aimSettings->chatSoundSettings->chat_sound = false;
}

// SoundOptionsImp.cpp
